SDL_GetJoystickGUIDForID(3)

NAME
SDL_GetJoystickGUIDForID - Get the implementation-dependent GUID of a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

SDL_GUID SDL_GetJoystickGUIDForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the GUID of the selected joystick. If called with an invalid instance_id, this function returns a zero GUID.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickGUID(3), SDL_GUIDToString(3)